##
##  cacti-spine.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         cacti-spine
Summary:      Fast SNMP Poller for Cacti
URL:          http://www.cacti.net/spine_info.php
Vendor:       raXnet
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        Monitoring
License:      GPL
Version:      1.2.28
Release:      20241008

#   list of sources
Source0:      http://www.cacti.net/downloads/spine/cacti-spine-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, libtool, autoconf, automake, config
PreReq:       OpenPKG, openpkg >= 20160101, cacti
BuildPreReq:  mysql, snmp
PreReq:       mysql, snmp

%description
    Spine is a fast SNMP poller for the Cacti monitoring system.

%track
    prog cacti-spine = {
        version   = %{version}
        url       = http://www.cacti.net/downloads/spine/
        regex     = cacti-spine-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build
    rm -f config/config.*
    aclocal
    libtoolize --copy --force
    autoheader
    autoconf
    config install config
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --sysconfdir=%{l_prefix}/etc/cacti-spine \
        --with-mysql=%{l_prefix} \
        --with-snmp=%{l_prefix} \
        --with-static \
        --disable-shared
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/cacti-spine/*'

%files -f files

%clean

